Show / Hide Table of Contents

# Class ResultSetSubset

Class used to represent a subset of results from a query for transmission across JSON RPC

##### Inheritance

System.Object
ResultSetSubset

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ResultSetSubset

### Properties

| Improve this Doc View Source

#### RowCount

The number of rows returned from result set, useful for determining if less rows were returned than requested.

##### Declaration

    public int RowCount { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Rows

2D array of the cell values requested from result set

##### Declaration

    public string[][] Rows { get; set; }

##### Property Value

Type | Description
--- | ---
System.String[][] |